Welcome to XC DataView

XConnect is Sutron Corporation's latest data collection, data processing and data storage software. Built on the strong principles of PcBase2, XConnect is compliant with today's 32-bit Windows operating systems and provides new tools and options for the user.

XConnect is a collection of executables designed to provide a complete solution for data collection, data handling, data viewing and data storage

The role of XC DataView within an XConnect data collection system is to display in a tabular or graphical form data processed and stored by XC Rtu or XC Decode. XC DataView can display data from the PcBase2 binary data files as well as the XConnect database. Many data sources can be defined in XC DataView, so the user can connect/disconnect to different data sources.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Moving around in XC DataView

The XC DataView application consists of these main areas:

  • The Menu Bar provides access to all user-controllable functions within the application.

  • The Toolbar provides one-click access to important functions.

  • The System View provides the user with a flexible tree view representation of the XConnect stations. Expanding the tree displays stations and sensors.

  • The Data Retrieval box displays the user sensor selections and time range of the desired data.

  • The Data Display window

Click an area on the image below for more information

.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Configuring a data source

XC DataView can connect to different data sources, if necessary. Usually in a system, there is one data source (data storage choice). However, if a system has changed sensors or station names, it may be useful to backup/rename the current data source and create a new one. Or, in a redundant system, there could be two separate data sources, one for each system.

To configure a data source:

  1. From the File menu, select Change Data Source or from the toolbar click [image]. The Data Source Explorer window will appear.

  2. Expand data sources tree and click on the data source node (PcBase2 Binary files or Databases) where the new node will be added. Click the New button or double-click on the [image] node.

  3. For Pcbase2 Binary Files, a window will open to allow the user to choose a data file directory.

For Databases, a window will open to allow the user to choose a data source name.

Note, for databases, the Data Source must be configured prior to adding the data source in XC DataView. Go to the Administrative Tools|Data Sources (ODBC) control panel applet to configure the database source or consult your Network Administrator.

  4. Click OK when finished. The new data source will appear under the data source node.

  5. Click on the newly added data source and click the Connect button.

  6. XC DataView will now refresh the sensor tree view with the stations and sensors in the new data source.

To change the data source:

  1. From the File menu, select Change Data Source or from the toolbar click [image]. The Data Source Explorer window will appear.

  2. Expand data sources tree and click on another data source in the list. Then click the Connect button.

  3. XC DataView will now refresh the sensor tree view with the stations and sensors in the new data source.


Time-date qualifiers allow the user to always see the same range of data each time without manually entering in the date and time. In many cases, using the viewing dates of Yesterday to Now allow the user to easily pull up the most recent data each day without additional keystrokes to modify the exact date and time each day. The exact start date of Yesterday will be automatically calculated based on the current date and time. The same applies for the end date of Now.

Time-date qualifiers allow the user to always see the same range of data each time without manually entering in the date and time. In many cases, using the viewing dates of Yesterday to Now allow the user to easily pull up the most recent data each day without additional keystrokes to modify the exact date and time each day. The exact start date of Yesterday will be automatically calculated based on the current date and time. The same applies for the end date of Now.

Displaying data

XC DataView can display data on a graph or in a tabular list. Either viewing method is very simple. All the user needs to do is to select the sensors from the sensor tree, enter the desired start and stop dates and then click Retrieve button. Clicking the Retrieve button will display data in the current selected tab (Graph or List). To clear the data on the graph or list, click the Clear button.

To display data in a graph:

  1. Highlight a sensor in the sensor tree and then from the Select menu, select Add to Retrieval List menu option. Double-clicking on the sensor also adds the Data Retrieval list.

Double-clicking or selecting the tree node will add all sensors in the subnodes to the Data Retrieval list.

  2. Select the desired start date and stop date. The user can select As Entered Below: and enter a specific date and time or select a date-time qualifier like Yesterday, Last Week, Last Month. The date-time qualifiers will be used to calculate the start and stop time based on the current date and time.

  3. From the Data menu, select Graph or from the toolbar, click the [image] icon.

To display data in a list:

  1. Highlight a sensor in the sensor tree and then from the Select menu, select Add to Retrieval List menu option. Double-clicking on the sensor also adds the Data Retrieval list.

Double-clicking or selecting the tree node will add all sensors in the subnodes to the Data Retrieval list.

  2. Select the desired start date and stop date. The user can select As Entered Below: and enter a specific date and time or select a date-time qualifier like Yesterday, Last Week, Last Month. The date-time qualifiers will be used to calculate the start and stop time based on the current date and time.

  3. From the Data menu, select List or from the toolbar, click the [image] icon.


Displaying sensor parameters

Displaying sensor database parameters

For convenience, XC DataView can display the sensor database parameters. To display parameters for a selected sensor:

  1. Highlight a sensor in the sensor tree view and then from the Select menu, select Sensor Properties or, from the toolbar click the [image] icon.

  2. The sensor parameters stored in the database will be retrieved and displayed on the Sensor tab of the display area. Changes to the database parameters can be done using XC Desktop.


Displaying station parameters

Displaying station database parameters

For convenience, XC DataView can display the station database parameters. To display parameters for a selected station:

  1. Highlight a station in the sensor tree and then from the Select menu, select Station Properties or, from the toolbar click the [image] icon.

  2. The station parameters stored in the database will be retrieved and displayed on the Station tab of the display area. Changes to the database parameters can be done using XC Desktop.


Graph display options

Graph Options

Once the data is graphed, several options are available, including editing data values. The options are represented by the graph options toolbar located above the graph.

These options include:

  • Printing Graphs ( [image])

  • Exporting Graphs ( [image])

  • Copying Graphs ( [image])

  • Single/Multi-Axis ( [image])

  • Data Pointer ( [image])

  • Data Markers ( [image])

  • Graph Display Options ( [image])

  • Extended Graph Display Options ( [image])

  • Zooming and Panning

  • Select Data Points ( [image])

  • Modify Selected Data Points ( [image])

  • Data Increment ( [image])

Printing Graphs

The Print button opens the Print Preview window that allows the user to make an additional margin and sizing adjustments before printing.

Exporting Graphs

The Export button allows the user to export the data values and their corresponding time stamps and labels to disk. The user has export format options of: XML, comma-separated (CSV) or Excel (XLS) files.

Copying Graphs

The Copy button will copy to graph to the Windows clipboard so that it can be pasted, as a bitmap, in other Windows applications for reports and presentations.

Single/Multi-Axis

The Single/Multi-Axis button is used when more than one sensor is plotted on the graph. By default, the all the sensors are plotted using one Y-axis. By toggling the button, the sensors can be individually graph against their own Y-axis. The multiple graphs will appear stacked. This option is also available on the Graph Display Options dialog box.

Data Pointer

The Data Pointer option allows the user to display the actual value and its corresponding date and time on the right most section of the status bar. A line will appear and snap to the actual data points. The user will be asked to select the sensor data series to investigate.

Once the data series is selected a vertical bar will snap to the data points. The data value and time stamp will be displayed on the status bar.

Data Markers

By default, the graph is a line graph that connects one point to the next. If data points were expected to be evenly spaced, and some data points were missing, this would be detected if the data markers marking each data point were not displayed on the screen. This option is also available on the Graph Display Options dialog box.

Graph Display Options Parameters

The most common graph display options are conveniently grouped together on a window accessed on the graph window.

  • Axis Style - The Single Axis and Multi-Axis radio button is used when more than one sensor is plotted on the graph. By default, the all the sensors are plotted using one Y-axis. By toggling the button, the sensors can be individually graph against their own Y-axis. The multiple graphs will appear stacked.

  • Ranges

    • Auto Range Adjustment - The program will automatically adjust the Y-axis min and max to the minimum and maximum values of the retrieved data. By not selecting this option, the Min and Max fields become enabled.

    • Min - This represents the Y-axis minimum if the Auto Range Adjustment parameter is NOT checked.

    • Max - This represents the Y-axis maximum if the Auto Range Adjustment parameter is NOT checked.

    • Individual Axis Range - The program will use the individual minimum and maximum axes values entered in the Extended Graph Options window.

    • Best View - The program will automatically add 10 percent of the Y-range to the Y-axis min and max. If Auto Range Adjustment is also checked, this will add 10 percent to the minimum and maximum range value of the retrieved data to the Y-axis min and max. If Auto Range Adjustment is not checked, this will add 10 percent of the user-entered Min and Max range to the Y-axis min and max. Best View will not affect the graph if Auto Range Adjustment is not checked and Individual Axis Range is checked.

  • Show Data Markers - By default, the graph is a line graph that connects one point to the next.

With Show Data Markers checked, each data point will be designated by a marker.

Extended Graph Display Options

The Extended Graph Display options window is a multi-tabbed window that allows the user to changes almost every aspect of the graph to his/her preference.

Among the tabbed windows, the user can change the order of the data series, the color of the data series, the line pointer shape, the graph style (line style to bar to 3D), the labels on the graph and much more. Rather than describing ALL the parameter options, our best advice is to take a bit of time and just play with each of the parameters to understand which options are the most useful.

Zooming and Panning

The user can easily zoom in on a section of the graph or pan to another section of the graph. Zooming and panning are accomplished using the right and left mouse buttons

To zoom:

  1. Place the cursor in the upper left-hand corner of where you would like to zoom.

  2. While holding the left mouse button down, drag the cursor to the right toward the lower right-hand corner of the desired zoom area.

  3. Notice a black rectangle being drawn as you are dragging.

  4. Release the mouse when you select the area of the graph to zoom in on.

To un-zoom:

  1. Place the cursor anywhere on the graph.

  2. While holding the left mouse button down, drag the cursor, briefly, to the left toward the upper left-hand corner of the graph.

  3. Release the mouse and the graph will zoom out to the original state.

To pan:

  1. Place the cursor anywhere on the graph.

  2. While holding the right mouse button down, move the cursor in the direction where you would like to pan the graph.

  3. Release the mouse and the graph will pan to that area.

To un-pan:

  1. Place the cursor anywhere on the graph.

  2. While holding the left mouse button down, drag the cursor, briefly, to the left toward the upper left-hand corner of the graph.

  3. Release the mouse and the graph will zoom out to the original state.

Select Data Points

The user can select and edit data from the graph. Once data is graph, the user can switch from "view" mode to "edit" mode by clicking the Select Data Points toolbar button ( [image]) on the graph toolbar button.

Note the highlighted/circled areas.

  1. Shows clicking toolbar button to begin edit mode.

  2. Noted Edit text above graph.

  3. Drag a region from upper left to lower right to highlight data point(s).

Modify Selected Data Points

After data points have been selected as described in the previous section, click the Modify Data Points toolbar button ( [image]) on the graph toolbar button. The user will be prompted to enter the new value.

The modify/edit options are:

  1. Use Value as Offset - When this option is checked the value will be added to all selected data points. Value can be positive or negative.

  2. Clear - This option clears the previously selected data for edit and re-paints the graph.

  3. Delete - This option deletes the selected data points from the database. In the case of the database, privileges granted to the user login account will affect whether the use can actually delete data from the database.

  4. Ok - Select OK will modify the existing data values to the value.

Data Increment

The Data Increment arrows allows the user increment/decrement to the next section to data without editing the from/To dates and click Retrieve. The Start and Stop time is incremented/decremented by an additional 25 percent of the original range. As an example:

  • Let's say the user originally selected to view 24 hours worth of data and the start time was 2/1/2006 00:00:00 and the end time 2/2/2006 00:00:00.

  • After clicking the right increment button, the start time would be 2/1/2006 06:00:00 and the end time would be 2/2/2006 06:00:00.

  • The original total range of 24 hours is divided by 4 (25%) and then added/subtracted to the original start and stop time.


List display options

Once the data is displayed in the tabular list, several options are available. The options are available to the right of the data grid.

The list display options include:

  • controlling the interval of the data to display (i.e. only data at top of hour, or data at beginning of each day)

  • using approximate times with real-time data (XC Rtu) and a database.

  • editing data values.

  • on-the-fly sensor statistics.

Using an Interval

By default, when data is displayed, all the data is shown. However, the user may be interested only in the data at the beginning of each day. In this case, the use can select a Interval of 6 hours and Offset of 30 . Automatically, the data will be refreshed to only show data for 00:30:00. 06:30:00. 12:30: 00, 18:30:00, etc.

Additionally, using the Day, Hour or Minute, selections allows the user to specifically view a time offset into the select interval.

Example 1

Interval - 1 Day

Hour - 0

Minute - 0

Using these parameters, the data for the beginning of each day at 00:00:00 will be displayed.

Example 2

Interval - 1 Day

Hour - 6

Minute - 0

Using these parameters, the data for the each day at 06:00:00 will be displayed.

Example 3

Interval - 1 Day

Hour - 0

Minute - 15

Using these parameters, the data for the each day at 00:05:00 will be displayed.

Example 4

Interval - 1 Month

Day - Mon

Hour - 0

Minute - 0

Using these parameters, the data for every Monday at 00:00:00 of the month will be displayed.

Using Approximate Times

The Approx Times parameter on the list view applies only to the database data storage option. In PcBase2 and the PcBase2 binary files, data was always forced in the evenly-spaced time slots. The user was required to specify the interval of the data (i.e., 00:15:00 or 01:00:00) when the data file was created. Thus, all data was easily stored and displayed on even time increments.

However, in a database, there is no such "even time slot" concept. Databases only store data that has come in and not data the is "expected" to come in. More importantly, the exact time and date the data was received is what is stored in the database. This creates problems for displaying data in a list with columns. Because the date and times will never be exactly the same from station to station, displaying data in columns will created a staggered appearance.

The Approx Times parameter acts as a round-off in the time when displaying the data so the can be displayed in even increments. This parameter applies to conventional systems where data is collected in real-time via radio, phone, direct... using XC Rtu. When viewing data in a system like this, the list view of data may appear as seen below.

In this example, the times of the batteries across all the stations differ by seconds, the actual time when each station was polled. In order to align the data and columns, the user can enable the Approx Times parameter and specify a "buffer" range along with an Interval (as described in the above section).

As seen from the data displayed above, the stations were polled every 15 minutes. The screen below shows the result of using the Approx Times parameters.

The data interval of 15 minutes was selected. The Approx Times parameter was enabled. The +/- (min) parameter indicated that if a time fell +/- 5 minutes around a 15 minute interval, it would be considered a 15 minute value. In this particular system, it took about 5 minutes to poll/query all the stations for data, so the +/- was adjusted to 5 minutes to accommodate for time range. As a result, the data can now be viewed in consistent columns for easier comparison and analysis.

Editing data values

XC DataView allows the user to edit individual sensor values or multiple values. When using the database data storage option, the edits will only affects the ED_VALUE column in the XC_DATA1 data table. The ORIG_VALUE column will always have the original received or decoded value.

Individual sensor edits

Click on the Edit check box in located in the Edit Mode group box on the right hand side of the list view. After checking the Edit box, enter/modify the sensor value. Click on the Save button ( [image]) in the Edit Mode group box to save changes or the Cancel button ( [image]) to cancel changes. When edits are finished, make sure to un-check the Edit check box.

Batch sensor edits

Click on the Batch check box in located in the Edit Mode group box on the right hand side of the list view. After checking the Batch box, drag an box on the area of the cells you wish to edit. The cells wil become highlighted.

Click on the Save button ( [image]) in the Edit Mode group box. The Modify dialog will appear. The user will be prompted to enter the new value.

The modify/edit options are:

  1. Clear - This option clears the previously selected data for edit and re-paints the graph.

  2. Delete - This option deletes the selected data points from the database. In the case of the database, privileges granted to the user login account will affect whether the use can actually delete data from the database.

  3. Ok - Select OK will modify the existing data values to the value.

When edits are finished, make sure to un-check the Batch check box.

Sensor Statistics

The statistics mode of XC DataView provides the user with convenient on-fly statistics of the displayed sensor data. Click the Stats button to switch to statistics mode.

The Statistics box provides several statistics that can be calculated on the sensors displayed in the list. The user just needs to check the box corresponding to the desired statistic and automatically the sensor data list will update with the newly calculated values.

Sensor Statistics functions

  • Min - Computes the minimum sensor value in the selected Interval.

  • Max - Computes the maximum sensor value in the selected Interval.

  • Std - Computes the standard deviation of the sensor values in the selected Interval.

  • Delta - Computes the delta (difference) between the max and min sensor values in the selected Interval.

  • Sum - Computes the sum of all sensor values in the selected Interval.

  • Count - Computes the total number of sensor values record in the sensor Interval.

  • Time of Min - Computes the time of the minimum sensor value was recorded in the sensor Interval.

  • Time of Max - Computes the time of the maximum sensor value was recorded in the sensor Interval.

Printing Sensor Statistics

Sensor statistics are computed in memory and not stored in data storage. However, XC DataView can print the data in a convenient Crystal Report. From the File menu, select Print option. XC DataView will display the report in print preview mode first before printing.

Exporting Sensor Statistics

The Export button allows the user to export the data values and their corresponding time stamps to disk. The user has export format options of: XML, comma-separated (CSV) or Excel (XLS) files.


Sorting the Sensor Tree view

XC DataView allows the user to sort the Sensor Tree view in many ways to conveniently allow the user to view the sensor list in the most beneficial manner. Above the Sensor Tree view is pull-down list box that lists the options by which the sensor tree can be sorted.

For the Database storage option, the sort selections are:

  • View By Stations

  • View By Sensors

  • View By Basin

  • View By District

  • View By City

  • View By County

  • View By State

  • View By Country

  • View By Primary Channel

  • View By Random Channel

For the PcBase2 binary file storage option, the sort selections are:

  • View By Data Files

  • View By Stations

  • View By Sensors

An example of the Sensor tree view with View by Station selection:

An example of the Sensor tree view with View by Sensor selection:


Filter Files

Filter files are very convenient in large system and used only with the database data storage option. Filter files affect the list of sites/sensors displayed in the sensor tree view. In large system, browsing through such a long list of sites/senors is tedious. Select a Filter File to reduce the list of sites/sensors displayed to a specific list targeting the viewing purpose. Filter files are ASCII files with a .FLT extension containing statements used to filter/reduce the site/sensor list. These statements are used directly in the SQL statement when the data is retrieved.

Filter files are created in XC DataView and can be used in XC DataView, XC Reports and XC Export. After selecting a filter file, the user can choose to apply the filter conditions to the sensor tree view or now.

Creating a simple filter file

Let's create a filter file to only show the stations that have level as a sensor.

  1. From the Filter menu, select Select Filter. The Filters window will open.

  2. Click on the Field parameter and select from the list of possible database fields.

  3. Select the XCSITESENSORS.SENSORNAME for the Field parameter and Level for the Value parameter.

  4. The selections should look as shown below.

  5. Click the Add button to remember the condition and add it to the memo list below.

  6. Click the Execute button to run the query and see the results in the Data box.

  7. Once satisfied with the results, click the Save button to save the filter conditions to disk.

Steps 2-5 can be repeated for as many filter conditions as desired.

Applying Filter files

In order to apply conditions from a filter file, first the user must create or select a filter file, then it can be applied.

  1. From the Filter menu, select Select Filter. The Filters window will open.

  2. The user can create a filter file here or click the Open button to select a filter file (.FLT) located on the hard disk.

  3. Optionally, the user can click the Execute button to test the filter conditions and see the reduced station/sensor list.

  4. After a filter file has been selected, click OK to exit the window.

  5. To apply the filter, from the Filter menu, select Apply Filter or from the toolbar click the [image] icon.

  6. The sensor tree view will be refreshed with the filter conditions applied. Additionally, the filter conditions will be displayed below the sensor tree view.


Selecting sensors

XC DataView provides many ways to select sensors to graph or display.

  1. Selecting sensors using the menus

Highlight the tree node or sensor. From the Select menu, click Add to Retrieval List or Add All to Retrieval List options.

  2. Right-click on Sensor Tree view

Right click to highlight the tree node or sensor. From the pop-menu, click Add to Retrieval List or Add All to Retrieval List options.

  3. Double-click on tree node or sensor

Double-click on the tree node or sensor. The sensor(s) will automatically be added to the Data Retrieval list box.

  3. Drag and drop tree node or sensor

Left click on a tree node or sensor. While holding the left-click button, drag the tree node or sensor to the Data Retrieval List box. The sensor(s) will automatically be added to the Data Retrieval list box.

All methods are familiar to operators using today's Windows applications.


Sensor settings file

Sensor settings files (.SFG) allow the user to save away frequently view sensor lists and the corresponding From and To dates. This is extremely useful if you always view the same sensors over the same time period, such as all the stage data for yesterday. So, instead of re-selecting sensors each time, just save the settings to a sensor settings file (.SFG) and then recall it at any future time.

To create a sensor settings file:

  1. Select the desired sensors to the Data Retrieval list.

  2. Select the desired From and To dates.

The use of time-date qualifiers is especially useful here. For example, to always view todays data, select Today as the From date and Now as the To date. Or, to always view yesterday's data, select Yesterday to Today as the From and To dates, respectively. The exact dates are calculated by XC DataView.

  3. From the File menu, select Save Sensor settings. The user will be prompted to enter a filename and directory location. Sensor settings files have a .SFG file extension.

To recall a sensor settings file:

  1. From the File menu, select Open Sensor settings file. The user will be prompted to select a sensor settings (.SFG) file. Once opened, the sensors will first be validated and then displayed on the Data Retrieval list.

The sensor will not appear in the Data Retrieval list unless it has been validated. If a sensor settings file contains sensors not in the current selected data source, it is considered invalid.

  2. The use simply clicks the Retrieve button to display the data.

Using sensor settings files on startup:

A user can automatically load a sensor settings file (.SFG) on startup of XC DataView. Use the file name as a command-line parameter when in the XC DataView shortcut.

  1. Create a shortcut to XCDataView on our desktop.

  2. Right click on the shortcut icon and select Properties. The properties dialog box will open.

  3. On the Target parameter add the name of the sensor settings file (.SFG) you would like to load on startup.

  4. Click OK button when finished.


Viewing Sensor Data or Post-Processed data

XC DataView, by default, will retrieve data from the sensor data table (XC_DATA1). However, as part of the XConnect database schema, data is also stored in the post processing data table (XC_PPDATA1). XC_PPDATA1 will have data only if you are using XC PostProc. XC PostProc is used to perform some post-processing calculations on the sensor data. Typically, daily or monthly averages, minimums or maximums are examples of post processed data. To graph or list this data, XC DataView needs to switch focus from the sensor data table, XC_DATA1, to the post-processed data table, XC_PPDATA1.

To retrieve data from XC_PPDATA1,

  1. From the Select menu, select Post Processed Data (XC_PPDATA1) option. XC DataView will refresh the Sensor tree view with the available processed sensors.

  2. Continue with normal sensor selection and viewing.

To return to view sensor data from XC_DATA1,

  1. From the Select menu, select Sensor Data (XC_DATA1) option. XC DataView will refresh the Sensor tree view with the available sensors data.

  2. Continue with normal sensor selection and viewing.


Importing data

XC DataView can easily import data from PcBase2 binary data files, comma-separated (CSV) or XML files to the XConnect database. The XConnect database data storage option provides the most flexibility when viewing and sharing your data. To import data:

  1. Click on the XC DataView icon.

  2. From File menu, select Import.... to open the import window.

  3. Select the import format type from the pull-down combo box.

  4. Select the individual data file or a directory where the files are located.

  5. Click Run button to start importing data.

Import parameters

  • Format - Select the import format type. XC DataView can import PCBase2 Data Files (DAT), XML Files (XML), and Comma-separated Values (CSV).

  • Source - Select a single file to import or select an directory. Selecting a directory conveniently allows the user to import all the data files at once.

  • Options

    • Ignore the First Line? - If CSV files are selected, the first line in the file may be a header. If so, check this option to skip the first line and start importing data from the second line.

Data can be left in the binary data files and viewed using XC DataView. The binary data does not necessary need to be imported. Create another data source pointing to the binary data file directory. XC DataView can easily switch between the different data sources.


Exporting data

XC DataView can easily export the data in the graph or list view. The user can export to XML files, comma-separated values (CSV) files, or Excel files. To export data:

  1. Click on the XC DataView icon

  2. Select sensors and a time range. Click Retrieve to display data.

  3. From the File menu, select Export.... If on the Graph tab, the user can select the [image] icon above the graph.

  4. Select the Export format and destination and click OK.


Troubleshooting tips

Database configuration

In general, most errors in XC DataView are related to the Data Source (ODBC) configuration. Ensure that no changes have occurred since the original configuration of the Data Source (ODBC) in the Windows Control Panel applet.

  • For Access database types, verify the Access file (.MDB) has not been moved from its original directory location or is not currently open while XC DataView is trying to retrieve data.

  • For Oracle/SQL Server database types, verify the network PC where the database is installed is functioning properly and can be seen by the Windows Network Neighborhood. Verify the user name and password have not changed.

  • Verify the database configured in the Data Sources (ODBC) control applet, is an XConnect database. Consult your network administrator to verify the data table structure.

PcBase2 binary files

  • Ensure the directory location of the Pcbase2 binary files has not changed.

  • If XC DataView cannot read the Pcbase2 binary file header, it will not display it in the list. For a corrupted header, please contact a Sutron for assistance.

No data displayed in graph or list view

  • Verify there is data for the selected display times. When using PcBase2 binary files, the Start Time and End Time for each sensor is displayed in the Data Retrieval list when it is selected. When using database storage option, the Last Update time for the station will be displayed in the Data Retrieval list when the sensor is selected.

  • XC DataView can display only display a maximum of 86400 data values. Hopefully, none of our users will encounter this error message. If so, please reduce the senors or time range selected to display

  • In a conventional system (i.e., radio, telephone, 2-way communications) and storing data to a database, the Approx times flag may need to be checked if you have selected to view an Interval and not All Data. Remember, real-time data stored in a database has the exact date and time (to the seconds) when the data was received by XC Rtu. As an example, when trying to display Rain values for 5 stations polled at 11:30:00, the time stamps for the stations may be 11:30:12, 11:30:30, 11:30:52. 11:31:01, 11:31:28, respectively. Therefore in the list view, if you specified the Interval as 30 minutes, it would be expecting data time-stamped 11:30:00, and no data would be displayed. In this case, check the enable Approx Times flag and add a +/- value of 2 minutes. XC DataView will then display data that falls from 11:28:00 - 11:32:00 as 11:30 data.

Wrong data displayed

  • If the values of the sensors seem to be the wrong magnitudes, verify if any equations or rating tables were used and if they were correct. The equations and rating tables are specified in XC Desktop under the Stations node.

  • If the values of the sensors are correct but seem to have incorrect times. Check the computer where XC Decode or XC Rtu is running. If running a satellite system using XC Decode, verify the sensor decoding parameters: Interval, Offset and Round Off in XCDesktop. If running a conventional system using XC Rtu, verify the time of the PC is correct. If XC Rtu is polling for Current data, the sensor time stamp is derived from the PC.

No stations/sensors displayed in Sensor Tree view

  • Make sure the data source you are connected to is a valid XConnect database or PcBase2 binary files.

  • If data source is valid, delete the XC DataView configurations settings file (XCDataview.XFG) and re-create the data source.

  • If using a filter file, make sure the filter conditions apply to the current data source station/sensor list. To verify, from the Filter menu, select the Select Filter option to open the Filters window. Select the filter file and click the Execute button. The stations satisfying the filter conditions will be displayed in the Data list box. The Execute button allows the user to see the filter list before using and applying it.


Error messages

Troubleshooting steps:

Potential reasons for error:

  • PcBase2 binary file may be corrupt.

Troubleshooting steps:

Potential reasons for error:

  • The database configuration has changed on the current machine/network PC or has XConnect been installed on a new PC where the Data Source is not configured.

Verify the Data Source (ODBC) settings for XConnect database.

Check settings in Data Sources control applet either in the Control Panel or in Administrative Tools.

Verify user name and password are correct for database login.

Troubleshooting steps:

Potential reasons for error:

  • XC DataView was unable to update the Sensor Tree view with station/sensor list.

Memory problems will attribute to the failure of refreshing the display. If XC DataView had previous errors, memory may be corrupted. Close XC DataView and re-open the application.

Troubleshooting steps:

Potential reasons for error:

  • Sensor settings files are ASCII files where data is organized like Windows ini (.INI) files. The sensor names are listed under a specific topic name. The topic name was not present.

Recall another sensor settings file (.SFG) or re-create the SFG file.

Troubleshooting steps:

Potential reasons for error:

  • XC DataView has 5 Crystal Reports files (.RPT) that are used to display/export data. The required file is not present in the XConnect installation directory.

Make sure the required file is in the XConnect directory.

Re-install the reports from the XConnect installation CD.

Troubleshooting steps:

Potential reasons for error:

  • The maximum number of columns of list view data that can be printed is 13. There is not enough room on the paper to accommodate more columns.

Reduce the selected sensors in the Data Retrieval List to 13. The sensors list will have to be broken up and printed separately.

Troubleshooting steps:

Potential reasons for error:

  • User did not select a database on the Database Login window.

Troubleshooting steps:

Potential reasons for error:

  • XC DataView cannot display more then 86400 data values at once.

Please reduce the time range (start and stop time) or reduce the number of sensors selected.

Troubleshooting steps:

Potential reasons for error:

  • While trying to save the sensor selections to and existing sensor settings file (.SFG), XC DataView was unable to delete the original file first.

Troubleshooting steps:

Potential reasons for error:

  • XC DataView encountered an unexpected error while trying to create the XML file and then writing the data.

Ensure the destination directory has the proper read and write privileges.

Troubleshooting steps:

Potential reasons for error:

  • XC DataView encountered an unexpected error while trying to create the CSV file and then writing the data.

Ensure the destination directory has the proper read and write privileges.

Troubleshooting steps:

Potential reasons for error:

  • The starting time to select your data is later than the ending time.

Ensure the starting time is earlier than the ending time.

Troubleshooting steps:

Potential reasons for error:

  • XCDataView has an error when accessing data in database. The message follows is the detailed error code returned from database engine.

Ensure the database is online.

Ensure the username and password is correct.

Try to restart the XCDataView and repeat the last operation.

Troubleshooting steps:

Potential reasons for error:

  • In Graph Options, the value of the min range is equal to or greater than the max range.

Ensure the value of the min range is less than the max.

Error messages

Potential error messages generated by XC DataView are:

Error 606: Unable to read data from file filename.

Error 1200: Unable to connect to database.

Error 1401: Error loading station sensors.

Error 1402: Invalid sensor settings file.

Error 1403: Crystal Reports file filename does not exist.

Error 1404: Too many columns. Columns must be less than 13.

Error 1405: Database not selected.

Error 1406: XC DataView can only display a maximum number of 86400 records.

Error 1407: Unable to delete filename. Check file attributes.

Error 1408: Unable to export graph data to XML file.

Error 1409: Unable to export graph data to CSV file.

Error 1410: The starting time must be earlier than the ending time.

Error 1411: Database error - %p.

Error 1412: The min must be less than the max.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Data Retrieval

The Data Retrieval section of XC DataView displays the sensor(s) selected to display in graph and list tabs. Sensors can be easily added and removed from the list by double-clicking on the sensor or selecting the appropriate menu options from the main or pop-up menu (accessed by using the right-click mouse button). Selecting the display start date and end date is as easy as choosing a convenient time-date qualifier such as Last Month, Last Week or Yesterday, or entering a specific date and time.

The Data Retrieval list box can also be easily sorted, like in Windows Explorer, by clicking on the column header. For example, by click on the SensorName column will sort all the sensor names alphabetically, in ascending order (A-Z). Clicking on it a second time will sort the sensor names in descending order (A-Z).


Display Area

The Display Area of XC DataView is a 4-tabbed control allowing the user to see the data in graph or a list. The user can also display database parameters for a selected station or sensor. Additional display and list options are also provided on each tab.


Menu bar

The Menu Bar

The Menu Bar provides access to the following menus:

File

  • Open Sensor Settings -- opens a sensor settings file (.SFG) to recall saved sensor selections.

  • Save Sensor Settings -- save current sensor selections, from and to dates for later recall.

  • Change Data Source -- opens connect window to select or add new data sources.

  • Import -- imports data from a file (.CSV, .TXT) into data source.

  • Export -- exports selected sensors to disk file (.CSV, .TXT, .XLS) for select time range.

  • Print Setup -- send shutdowns command to XConnect applications.

  • Print -- connects XC Desktop to remote XC Setup.

  • Exit -- terminates the application.

Edit

  • Copy -- copies highlighted text to Windows clipboard.

  • Paste -- pastes contents of Windows clipboard.

Select

  • Add To Retrieval List -- adds selected sensor(s) to Data Retrieval list.

  • Add All to Retrieval List -- adds all sensors to Data Retrieval list.

  • Delete From Retrieval List -- deletes sensor(s) from Data Retrieval list.

  • Delete All From Retrieval List -- deletes all sensors from Data Retrieval list.

  • Sensor Data (XC_DATA1) -- retrieves data from sensor data table.

  • Post Processed Data (XC_PPDATA1) -- retrieves data from post processing data table.

Data

  • List -- retrieves data and displays in list tab.

  • Graph -- retrieves data and displays in graph tab.

  • Station Properties -- displays station database information for selected station.

  • Sensor Properties -- displays sensor database information for selected sensor.

  • Clear -- clears the data displayed in the graph and the list.

Filter

  • Select Filter -- selects a filter file.

  • Apply Filter -- applies/removes filter conditions.

Graph

  • Multi-Axis -- toggles between using a single axis for all sensor data or individual axes for each sensor.

  • Data Under Cursor -- snaps cursor to data points and displays data values on status bar.

  • Graph Options -- opens window to edit basic graph display options.

  • Graph Styles -- opens window to edit extended graph styles.

View

  • Refresh -- refreshes sensor tree view from data source.

  • Expand Tree -- expands to all sub-nodes of sensor tree.

  • Collapse Tree -- displays only major modes of sensor tree.

  • Options -- display date/times as local from GMT (data stored as GMT).

Help

  • XC DataView Help -- accesses this help system and defaults to Index tab.

  • XC DataView Contents -- accesses this help system and defaults to Contents tab.

  • About -- gets version information for this application.


Sensor Tree View

The Sensor tree view displays all available stations and sensors stored in the data source as well as displaying the selected data source name. If a filter is applied, the filter is displayed at the bottom of the sensor tree panel and the sensor list will display stations and sensors compliant with the filter.

The sensor tree can be sorted by stations, sensor or other attributes. Click on the pull-down list box at the tree view. The sort options will differ based on the data source selected (i.e., database, PcBase2, ...).


Status Bar

The Status Bar

The Status Bar is divided in three sections. The left-hand panel displays the type of data storage used: PCBase2, ASCII Log, Excel, or Database The middle panel displays parameter hints. The right-hand panel displays any other messages including the sensor data value when using the data pointer function on a graph.


Toolbar

The XC DataView Toolbar

The toolbar area allows you to quickly access various XC Desktop functions.

The following tools are provided:

Select a sensor settings file (.SFG) to recall sensor selections.

Save current sensor selections, from and to date fields to disk.

Open connect window to select or add new data sources.

Export current graph data or list data.

Print current graph or list data.

Copy current graph data as a bitmap or list data.

Refresh sensor tree view from data source.

Graph selected sensor data listed in Data Retrieval list box.

View tabular list of selected sensor data in Data Retrieval list box.

Display station database parameters on Station tab for selected station.

Display sensor database parameters on Sensor tab for selected sensor.

Apply selected filter file to station-sensor list.